package talk;

/** Exception thrown by methods of TalkAddress for an invalid address format.
    @see TalkAddress
*/
public class BadAddressException extends java.io.IOException {
  /** Constructs a BadAddressException with msg */
  BadAddressException(String msg) {
    super(msg);
  }
  /** Default constructor */
  BadAddressException() {
    super();
  }
}
